- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# OpenMesh::Decimater::CollapseInfoT< Mesh > Struct Template Reference

Stores information about a halfedge collapse. More...

`#include <CollapseInfoT.hh>`

List of all members.

## Public Member Functions
| CollapseInfoT (Mesh &_mesh, typename Mesh::HalfedgeHandle _heh)
| Initializing constructor.
## Public Attributes
Mesh::HalfedgeHandle | v0v1
| Halfedge to be collapsed.
Mesh::HalfedgeHandle | v1v0
| Reverse halfedge.
Mesh::VertexHandle | v0
| Vertex to be removed.
Mesh::VertexHandle | v1
| Remaining vertex.
Mesh::Point | p0
| Position of removed vertex.
Mesh::Point | p1
| Positions of remaining vertex.
Mesh::FaceHandle | fl
| Left face.
Mesh::FaceHandle | fr
| Right face.
Mesh::VertexHandle | vl
| Left vertex.
Mesh::VertexHandle | vr
| Right vertex.
std::vector< typename Mesh::VertexHandle > | one_ring
| The one-ring of vertex v0 (the one to be collapsed).
Mesh::HalfedgeHandle | vlv1
| Outer remaining halfedge of diamond spanned by `v0`, `v1`, `vl`, and `vr`.
Mesh::HalfedgeHandle | v0vl
| Outer remaining halfedge of diamond spanned by `v0`, `v1`, `vl`, and `vr`.
Mesh::HalfedgeHandle | vrv0
| Outer remaining halfedge of diamond spanned by `v0`, `v1`, `vl`, and `vr`.
Mesh::HalfedgeHandle | v1vr
| Outer remaining halfedge of diamond spanned by `v0`, `v1`, `vl`, and `vr`.

## Detailed Description

### template<class Mesh>
struct OpenMesh::Decimater::CollapseInfoT< Mesh >

Stores information about a halfedge collapse.

The class stores information about a halfedge collapse. The most important information is `v0v1`, `v1v0`, `v0`, `v1`, `vl`, `vr`, which you can lookup in the following image:

See also:
  ModProgMeshT::Info

## Constructor & Destructor Documentation

template<class Mesh>

OpenMesh::Decimater::CollapseInfoT< Mesh >::CollapseInfoT | ( | Mesh & | _mesh,
|  | typename Mesh::HalfedgeHandle | _heh |
| ) |  |  | `[inline]`

Initializing constructor.

Given a mesh and a halfedge handle of the halfedge to be collapsed all important information of a halfedge collapse will be stored.

Parameters:

  | _mesh | Mesh source
  | _heh | Halfedge to collapse. The direction of the halfedge defines the direction of the collapse, i.e. the from-vertex will be removed and the to-vertex remains.

The documentation for this struct was generated from the following file:

- Tools/Decimater/CollapseInfoT.hh